﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        DataRow row;

        #region Initialize Columns

        DataColumn colId = new DataColumn("EmployeeId", Type.GetType("System.Int32"));
        colId.ReadOnly = true;
        dt.Columns.Add(colId);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["id"];
        dt.PrimaryKey = PrimaryKeyColumns;

        DataColumn colLastName = new DataColumn("LastName", Type.GetType("System.String"));
        dt.Columns.Add(colLastName);

        DataColumn colFirstName = new DataColumn("FirstName", Type.GetType("System.String"));
        dt.Columns.Add(colFirstName);

        DataColumn colTitle = new DataColumn("Title", Type.GetType("System.String"));
        dt.Columns.Add(colTitle);

        DataColumn colAddress = new DataColumn("Address", Type.GetType("System.String"));
        dt.Columns.Add(colAddress);

        DataColumn colAddress2 = new DataColumn("Address2", Type.GetType("System.String"));
        dt.Columns.Add(colAddress2);

        DataColumn colAddress3 = new DataColumn("Address3", Type.GetType("System.String"));
        dt.Columns.Add(colAddress3);

        DataColumn colAddress4 = new DataColumn("Address4", Type.GetType("System.String"));
        dt.Columns.Add(colAddress4);
        #endregion

        #region Initialize Rows

        for (int i = 1; i <= 50; i++)
        {
            row = dt.NewRow();
            row["EmployeeId"] = i;
            row["LastName"] = "Davolio" + i;
            row["FirstName"] = "Nancy" + i;
            row["Title"] = "Sales Representative" + i;
            row["Address"] = "507 - 20th Ave. E. Apt. 2A" + i;
            row["Address2"] = "507 - 20th Ave. E. Apt. 2A" + i;
            row["Address3"] = "507 - 20th Ave. E. Apt. 2A" + i;
            row["Address4"] = "507 - 20th Ave. E. Apt. 2A" + i;
            dt.Rows.Add(row);
        }


        #endregion
        WebDataGrid1.Width = Unit.Parse("100%");
        WebDataGrid1.DataSource = dt;
        WebDataGrid1.DataBind();
    }
    protected void btnExport_Click(object sender, EventArgs e)
    {
        this.excelExporter.DownloadName = "Dashboard Report " + DateTime.Now.ToString("MM dd yyyy") + ".xls"; ;
        this.excelExporter.DataExportMode = DataExportMode.AllDataInDataSource;
        this.excelExporter.WorkbookFormat = Infragistics.Documents.Excel.WorkbookFormat.Excel97To2003;
        bool singleGridPerSheet = true;

        Infragistics.Documents.Excel.Workbook wb = new Infragistics.Documents.Excel.Workbook();
        wb.Worksheets.Add("SomeName");

        Infragistics.Documents.Excel.Worksheet ws = wb.Worksheets["SomeName"];

        this.excelExporter.Export(WebDataGrid1, ws, 6, 1);
    }
}